package org.chenyang.http.client.methods;

import org.chenyang.http.conn.ClientConnectionRequest;
import org.chenyang.http.conn.ConnectionReleaseTrigger;
import java.io.IOException;

/** @deprecated */
@Deprecated
public interface AbortableHttpRequest {
   void setConnectionRequest(ClientConnectionRequest var1) throws IOException;

   void setReleaseTrigger(ConnectionReleaseTrigger var1) throws IOException;

   void abort();
}
